View Issue Details

IDProjectCategoryView StatusLast Update
0036047Lazarus-public2019-09-05 10:23
ReporterJohn ShandAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux 64bitOSArch LinuxOS VersionTumbleweed
Product Version2.0Product Build61813 
Target VersionFixed in Version 
Summary0036047: Lazarus 2.0.5 fixes: virtualtreeview compilation error
Description(1002) Target OS: Linux for x86-64
(3104) Compiling virtualtreeview_package.pas
(3104) Compiling VirtualTrees.pas
(3104) Compiling ./units/qt5/fakeactivex.pas
(3104) Compiling ./units/qt5/virtualpanningwindow.pas
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./units/qt5/virtualpanningwindow.pas(17,5) Note: (5029) Private field "TVirtualPanningWindow.FOwnerHandle" is never used
(3104) Compiling VTGraphics.pas
(3104) Compiling ./units/qt5/fakemmsystem.pas
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./include/intf/qt5/../dummydragmanager.inc(15,3) Note: (5025) Local variable "I" not used
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./include/intf/qt5/../dummydragmanager.inc(125,3) Note: (5025) Local variable "I" not used
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./include/intf/qt5/../dummydragmanager.inc(126,3) Note: (5025) Local variable "StgMedium" not used
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./include/intf/qt5/../dummydragmanager.inc(186,3) Note: (5025) Local variable "I" not used
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./include/intf/qt5/../dummydragmanager.inc(292,3) Note: (5025) Local variable "Len" not used
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./include/intf/qt5/../dummydragmanager.inc(772,3) Note: (5025) Local variable "RButton" not used
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/./include/intf/qt5/../dummydragmanager.inc(773,3) Note: (5025) Local variable "LButton" not used
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/VirtualTrees.pas(8017,122) Error: (3026) Wrong number of parameters specified for call to "Move"
/usr/lib/fpc/3.2.0/units/x86_64-linux/rtl/classes.ppu:collect.inc(437,23) Error: (5088) Found declaration: Move(const LongInt;const LongInt);
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/VirtualTrees.pas(8022,116) Error: (3026) Wrong number of parameters specified for call to "Move"
/usr/lib/fpc/3.2.0/units/x86_64-linux/rtl/classes.ppu:collect.inc(437,23) Error: (5088) Found declaration: Move(const LongInt;const LongInt);
/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview/VirtualTrees.pas(8267,97) Error: (3026) Wrong number of parameters specified for call to "Move"
/usr/lib/fpc/3.2.0/units/x86_64-linux/rtl/classes.ppu:collect.inc(437,23) Error: (5088) Found declaration: Move(const LongInt;const LongInt);
VirtualTrees.pas(36054) Fatal: (10026) There were 6 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /usr/bin/ppcx64 returned an error exitcode
make[2]: *** [Makefile:3040: virtualtreeview_package.ppu] Error 1
make[2]: Leaving directory '/home/jshand/build/lazarus/src/lazarus/components/virtualtreeview'
make[1]: *** [Makefile:1678: bigide] Error 2
make[1]: Leaving directory '/home/jshand/build/lazarus/src/lazarus/components'
make: *** [Makefile:3370: bigidecomponents] Error 2
Steps To Reproducemakepkg -s
TagsNo tags attached.
Fixed in Revision61814
LazTarget2.0.6
WidgetsetQT5
Attached Files

Activities

John Shand

2019-09-05 00:22

reporter   ~0117957

FPC Version:

Working Copy Root Path: /home/jshand/fpc
URL: https://svn.freepascal.org/svn/fpc/branches/fixes_3_2
Relative URL: ^/branches/fixes_3_2
Repository Root: https://svn.freepascal.org/svn/fpc
Repository UUID: 3ad0048d-3df7-0310-abae-a5850022a9f2
Revision: 42921
Node Kind: directory
Schedule: normal
Last Changed Author: marco
Last Changed Rev: 42913
Last Changed Date: 2019-09-04 02:52:53 +1200 (Wed, 04 Sep 2019)

John Shand

2019-09-05 00:22

reporter   ~0117958

Lazarus Version:

Working Copy Root Path: /home/jshand/lazarus
URL: https://svn.freepascal.org/svn/lazarus/branches/fixes_2_0
Relative URL: ^/branches/fixes_2_0
Repository Root: https://svn.freepascal.org/svn/lazarus
Repository UUID: 4005530d-fff6-0310-9dd1-cebe43e6787f
Revision: 61813
Node Kind: directory
Schedule: normal
Last Changed Author: maxim
Last Changed Rev: 61738
Last Changed Date: 2019-08-21 10:31:45 +1200 (Wed, 21 Aug 2019)

wp

2019-09-05 10:23

developer   ~0117959

Fixed. Please test and close if ok.

Issue History

Date Modified Username Field Change
2019-09-05 00:16 John Shand New Issue
2019-09-05 00:22 John Shand Note Added: 0117957
2019-09-05 00:22 John Shand Note Added: 0117958
2019-09-05 00:47 wp Assigned To => wp
2019-09-05 00:47 wp Status new => assigned
2019-09-05 10:23 wp Status assigned => resolved
2019-09-05 10:23 wp Resolution open => fixed
2019-09-05 10:23 wp Fixed in Revision => 61814
2019-09-05 10:23 wp LazTarget => 2.0.6
2019-09-05 10:23 wp Widgetset QT5 => QT5
2019-09-05 10:23 wp Note Added: 0117959